3장. 데비안 릴리스

# 3장. 데비안 릴리스

데비안 0.01에서 0.90까지(1993년 8월부터 12월까지)

데비안 0.91(1994년 1월): 이 릴리스에는 패키지를 설치하고 지울 수 있는 단순한 패키지 시스템이 들어있다. 이 시점에서 개발자 여러 명이 참여하는 프로젝트로 자랐다.

데비안 0.93R5(1995년 3월): 각 패키지에 대한 책임은 각각의 개발자에게 돌아갔고 패키지 관리자(dpkg)를 이용해서 기본 시스템을 설치한 후에 새로운 패키지를 설치한다.

데비안 0.93R6(1995년 11월): dselect가 나타났다. 이 릴리스가 마지막 a.out 데비안 릴리스였다. 대략 60명의 개발자가 있었다. 첫번째 master.debian.org 서버가 0.93R6 릴리스로 나왔다. 첫번째 master.debian.org 서버는 비데일 가비가 구축했고 0.93R6 릴리스와 병행하여 HP가 호스팅했다. 데비안 개발자가 각 릴리스를 구성할 명시적 마스터 서버의 배치로 데비안 미러 네트워크를 직접 만들었고, 간접적으로 오늘날 프로젝트를 관리하는 데 사용되는 많은 정책과 절차의 개발로 이어졌다.

데비안 1.0은 나오지 않았다: CD 공급업체 인포매직(InfoMagic)이 실수로 데비안 개발 릴리스를 출하하여 1.0 제목을 붙였다. 1995년 12월 11일 데비안과 인포매직이 공동으로 이 릴리스가 꼬였다고 발표했다. 브루스 페렌스는 "InfoMagic Linux Developer's Resource 5-CD Set 1995년 11월"에 "데비안 1.0"으로 기재된 자료는 데비안 1.0 릴리스가 아니며, ELF 형식의 일부분만 있는 초기 개발 버전은 아마도 부팅되거나 올바르게 실행되지 않을 것이며, 릴리스된 데비안 시스템의 품질을 나타내지 않을 것이라고 설명한다. 조기 CD 버전과 실제 데비안 릴리스 간의 혼동을 막으려 데비안 프로젝트는 다음 릴리스의 이름을 '데비안 1.1'로 바꾸었다. CD 조기 데비안 1.0은 버려졌으므로 사용하면 안 된다.

호스팅 master.debian.org은 HP에서 i-Connect.Net로 1995년 말쯤에 옮겨갔다. i-Connect.Net의 설립자인 마이클 네퍼(Michael Neuffer)와 시몬 샤피로(Shimon Shapiro)는 1년이 조금 넘는 기간 동안 자체 하드웨어에서 마스터를 호스팅 했다. 이 기간 동안, 데비안에 많은 서비스를 제공했는데, 그 당시 본질적으로 새로운 관리자 프로세스를 실행하고 초기 데비안 미러 네트워크가 자라는 것을 크게 도왔다.

데비안 1.1 버즈(1996년 6월): 코드명을 갖는 처음의 데비안 릴리스였다. 다른 릴리스도 그렇듯이 이 코드명은 영화 토이 스토리에 나오는 캐릭터인 버즈 Lightyear에서 가지고 온 것이다. 이때에 브루스 페렌스는 이안 머독에게서 프로젝트를 넘겨 받았고 그 당시 페렌스는 토이 스토리 영화를 만든 회사 pixar에서 일하고 있었다. 이 릴리스는 리눅스 커널 2.0에서 사용한 완전한 ELF를 사용했고 474개의 패키지가 들어있었다.

데비안 1.2 렉스(1996년 12월): 이 코드명은 영화의 플라스틱 공룡에서 따왔다. 120명 개발자가 유지하는 848개 패키지로 구성되었다

데비안 1.3 보(1997년 7월): Bo Peep에서 따왔다. 974개의 패키지로 구성되고 200명의 개발자가 유지했다.

데비안 2.0 햄(1998년 7월 24일): 토이 스토리 영화에 나오는 돼지 저금통에서 따왔다. 이것은 데비안의 첫 멀티 아키텍처 릴리스로 모토롤라 68000 시리즈 아키텍처에 대한 지원을 더했다. 이안 잭슨을 프로젝트 리더로 하여, 이번 릴리스는 libc6으로 전환했으며, 400개 이상의 개발자가 유지한 1500개 이상의 패키지로 구성했다.

Debian 2.1 Slink (March 9th, 1999): Named for the slinky-dog in the movie. Two more architectures were added, Alpha and SPARC. With Wichert Akkerman as Project Leader, this release consisted of about 2250 packages and required 2 CDs in the official set. The key technical innovation was the introduction of apt, a new package management interface. Widely emulated, apt addressed issues resulting from Debian's continuing growth, and established a new paradigm for package acquisition and installation on Open Source operating systems.

Debian 2.2 Potato (15 August 2000): Named for "Mr Potato Head" in the Toy Story movies. This release added support for the PowerPC and ARM architectures. With Wichert still serving as Project Leader, this release consisted of more than 3900 binary packages derived from over 2600 source packages maintained by more than 450 Debian developers.

Debian 3.0 Woody (19 July 2002): Named for the main character the Toy Story movies: "Woody" the cowboy. Even more architectures were added in this release: IA-64, HP PA-RISC, MIPS (big endian), MIPS (little endian) and S/390. This is also the first release to include cryptographic software due to the restrictions for exportation being lightened in the US, and also the first one to include KDE, now that the license issues with Qt were resolved. With Bdale Garbee recently appointed Project Leader, and more than 900 Debian developers, this release contained around 8,500 binary packages and 7 binary CDs in the official set.

데비안 3.1 사지(2005년 6월 6일) : 녹색 플라스틱 육군 병장의 이름을 따왔다. 비공식 AMD64 포트가 동시에 발행되어 새로운 Alioth project hosting site를 통해 배포되었지만, 릴리스에 새로운 아키텍처는 추가되지 않았다. 이 릴리스에는 새로운 설치 프로그램인 debian-installer가 들어 있으며, 자동 하드웨어 탐지, 무인 설치 기능을 특징으로 하는 모듈식 소프트웨어로, 30개 이상의 언어로 완전히 번역되어 나왔다. 이것은 또한 완전한 사무용 제품군 OpenOffice.org가 들어있는 첫 번째 릴리스였다. 브랜든 로빈슨이 그때 프로젝트 리더로 임명되었다. 이번 릴리스는 900여 명의 데비안 개발자가 만들었으며, 공식 세트에 약 15,400개 바이너리 패키지와 14개 바이너리 CD가 들어 있었다.

Debian 4.0 Etch (8 April 2007): named for the sketch toy in the movie. One architecture was added in this release: AMD64, and official support for m68k was dropped. This release continued using the debian-installer, but featuring in this release a graphical installer, cryptographic verification of downloaded packages, more flexible partitioning (with support for encrypted partitions), simplified mail configuration, a more flexible desktop selection, simplified but improved localization and new modes, including a rescue mode. New installations would not need to reboot through the installation process as the previous two phases of installation were now integrated. This new installer provided support for scripts using composed characters and complex languages in its graphical version, increasing the number of available translations to over fifty. Sam Hocevar was appointed Project Leader the very same day, and the project included more than one thousand and thirty Debian developers. The release contained around 18,000 binary packages over 20 binary CDs (3 DVDs) in the official set. There were also two binary CDs available to install the system with alternate desktop environments different to the default one.

Debian 5.0 Lenny (February 2009): named for the wind up binoculars in the Toy Story movies. One architecture was added in this release: ARM EABI (or armel), providing support for newer ARM processors and deprecating the old ARM port (arm). The m68k port was not included in this release, although it was still provided in the unstable distribution. This release did not feature the FreeBSD port, although much work on the port had been done to make it qualify it did not meet yet the qualification requirements for this release.

이번 릴리스에서 소형 요소 디바이스에 대한 지원은 많은 스토리지 디바이스에 사용되었으며 여러 넷북을 지원하는 Marvell의 오리온 플랫폼에 대한 추가 지원으로 증가하였다. 일부 새로운 빌드 툴이 추가되어 내장형 ARM 시스템을 위해 데비안 패키지를 교차 빌드하고 축소할 수 있었다. 또한, 이제는 다양한 벤더의 넷북이 지원되었고 그 배포판은 상대적으로 성능이 낮은 컴퓨터에 더 적합한 소프트웨어를 제공했다.

또한 선의 자바 기술의 무료 버전을 제공하는 최초의 릴리스로, 자바 프로그램을 주요 절에서 제공할 수 있게 되었다.

데비안 6.0 스퀴즈(2011년 2월): 녹색 눈 셋 외계인 이름에서 따왔다.

2010년 8월 6일 릴리스를 동결했으며, 많은 데비안 개발자가 뉴욕시의 제10회 데브컨프에 모였다.

While two architectures (alpha and hppa) were dropped, two architectures of the new FreeBSD port (kfreebsd-i386 and kfreebsd-amd64) were made available as technology preview, including the kernel and userland tools as well as common server software (though not advanced desktop features yet). This was the first time a Linux distribution has been extended to also allow use of a non-Linux kernel.

새 릴리스에서는 병렬 초기화 스크립트 처리를 허용하는 종속성 기반 부팅 시퀀스를 도입하여 시스템 시작을 빠르게 했다.

Debian 6 was the first release that benefited from Long Term Support (LTS), a project to extend the lifetime of all Debian stable releases to (at least) 5 years. Debian LTS was not handled by the Debian Security team, but by a separate group of volunteers and companies interested in making it a success. Debian 6 was supported until the end of February 2016, and limited to i386 and amd64 architectures.

데비안 7.0 위지(2013년 5월): 빨간 나비 넥타이를 맨 고무 장난감 펭귄의 이름에서 따왔다.

2012년 6월 30일 릴리스를 동결했는데, 니카라과 마나과에서 열린 제12회 데브컨프 데비안 개발자 모임과 매우 가까운 거리에 있었다.

한 아키텍처가 이 릴리스(armhf)에 들어갔으며, 이 릴리스에서는 사용자가 동일한 시스템에 여러 아키텍처의 패키지를 설치할 수 있는 multi-arch 지원을 도입했다. 설치 과정의 개선으로 시각 장애인이 처음으로 소프트웨어 스피치를 사용하여 시스템을 설치할 수 있게 되었다.

이것은 또한 UEFI 펌웨어를 쓰는 장치에서 설치와 부팅을 지원하는 첫 릴리스다.

Debian 7 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of May 2018.

데비안 8 제시(2015년 4월): 토이 스토리 2에 처음 나온 카우 걸 인형 이름에서 따왔다.

이 릴리스는 systemd init 시스템을 디폴트로 처음으로 도입했다. 두 가지 새로운 아키텍처 arm64 및 ppc64el이 도입되었으며, s390(s390x로 바꿈), ia64 및 스팍의 세 가지 아키텍처가 빠졌다. 스팍 아키텍처는 16년 동안 데비안에 존재해 왔으나, 배포판에서 그것을 유지할 수 있는 개발자 지원이 부족했다.

이 릴리스는 전체 보안 취약점 세트를 무효화한 새로운 커널(symlink attacks), 보안 지원을 받고 있는 패키지를 탐지하는 새로운 방법, 경화된 컴파일러 플래그로 구축된 더 많은 패키지, 다시 시작하려면 하위 시스템을 탐지하는 새로운 메커니즘(needestart)과 같은 많은 보안 개선 사항을 업그레이드 후 보안 업데이트를 전파하려고 넣었다.

Debian 8 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of June 2020.

데비안 9 스트레치(2017년 6월): 토이 스토리 3에 나오는 8개의 긴 팔에 빨대를 댄 장난감 고무 문어의 이름에서 따왔다.

이 릴리스를 2017년 2월 7일 동결했다.

Debian 9 was dedicated to the project's founder Ian Murdock, who passed away on 28 December 2015.

Support for the powerpc architecture was dropped in this release, whileas the mips64el architecture was introduced. This release introduced debug packages with a new repository in the archive, packages from this repository provided debug symbols automatically for packages. Firefox and Thunderbird returned to Debian, replacing their debranded versions Iceweasel and Icedove, which were present in the archive for more than 10 years. Thanks to the Reproducible Builds project, over 90% of the source packages included in Debian 9 were able to build bit-for-bit identical binary packages.

Debian 9 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of June 2022.

데비안 10 버스터(2019년 7월): Andy의 애완견 이름에서 따왔다, 토이 스토리 끝에 크리스마스 선물로 받은 것이다.

With this release Debian for the first time included a mandatory access control framework enabled per default (AppArmor). It was also the first Debian release to ship with Rust based programs such as Firefox, ripgrep, fd, exa, etc. and a significant number of Rust based libraries (more than 450). In Debian 10 GNOME defaults to using the Wayland display server instead of Xorg, providing a simpler and more modern design and advantages for security. The UEFI ("Unified Extensible Firmware Interface") support first introduced in Debian 7 continued to be greatly improved in Debian 10, being included for amd64, i386 and arm64 architectures and working out of the box on most Secure Boot-enabled machines.

Debian 10 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of June 2024.

데비안 11 불스아이(2021. 8. 14.): 토이 스토리 2에 나온 우디의 나무 장난감 말에서 따왔다.

This release contained over 11,294 new packages for a total count of 59,551 packages, along with a significant reduction of over 9,519 packages which were marked as "obsolete" and removed. 42,821 packages were updated and 5,434 packages remained unchanged.

Debian 11 allowed driverless printing and scanning without the need for vendor specific (often non-free) drivers, and shipped a Linux kernel with support for the exFAT filesystem. The mips architecture support was dropped, keeping support for mipsel (little-endian) architectures for 32-bit hardware and mips64el architecture for 64-bit little-endian hardware.

The Debian Med team took part in the fight against COVID-19 by packaging software for researching the virus on the sequence level and for fighting the pandemic with the tools used in epidemiology; this work continued with focus on machine learning tools for both fields.

Debian 12 Bookworm (June 10th, 2023): named for a green toy worm with a built-in flashlight that appeared in Toy Story 3.

This release contained over 11,089 new packages for a total count of 64,419 packages, while over 6,296 packages have been removed as "obsolete". 43,254 packages were updated in this release. The overall disk usage for bookworm is 365,016,420 kB (365 GB), and is made up of 1,341,564,204 lines of code.

Following the 2022 General Resolution about non-free firmware, the Debian Social Contract got adjusted and a new archive area called non-free-firmware got introduced, making it possible to separate non-free firmware from the other non-free packages. Most non-free firmware packages have been moved from non-free to non-free-firmware. This separation makes it possible to build a variety of official installation images. And it makes installing Debian on popular hardware using the official Debian installer much easier.

A total of nine architectures are officially supported for bookworm.

The Debian Cloud team publishes bookworm for three popular cloud computing services.

Between releases, in Bug#978636 (Feb 2021), the Technical Committee resolved that Debian bookworm would support only the merged-usr[1] root filesystem layout, dropping support for the non-merged-usr layout. For systems installed as buster or bullseye there would be no changes to the filesystem; however, systems using the older layout would be converted during the upgrade.

Thanks to the combined work of the Debian Security team and the Debian Long Term Support team, bookworm will be supported on four architectures until June 2028 (5 years after release).

Debian 13 Trixie (as of August 2024 the testing distribution): Trixie is a blue toy Triceratops that appeared in Toy Story 3.

[1] usr-merge (or merged-usr or `/usr`-move) is a filesystem layout where the traditional unix directories `/bin`, `/sbin`, `/lib` and `/lib64` are replaced by symbolic links to their counterparts under `/usr`. So e.g. `/bin` is replaced by a symlink to `/usr/bin` . In 2012, usr-merge was implemented by Fedora Linux as well as by Ubuntu Linux. See also The Case For The Usr Merge and the Bookworm Release Notes.

2장. 리더 |  | 4장. 세부 역사